[activemq-dev] Geronimo Update, ActiveMQ Build

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[activemq-dev] Geronimo Update, ActiveMQ Build

ammulder
        I made a change in Geronimo that seems to have peripherally
impacted ActiveMQ.  The change was that ServerInfo became an interface
instead of a class.  There are no code changes required, as the same
methods are present in the interface.  However, the previously compiled
ActiveMQ 3.1-M5 binaries no longer work with Geronimo HEAD due to an
IncompatibleClassChangeError.

        I'm pushing the latest Geronimo binaries now (the one in question,
geronimo-system-1.0-SNAPSHOT.jar is already up).  Can someone please
compile against the new Geronimo JARs and push new ActiveMQ binaries
(either SNAPSHOT or M6 or whatever) to the Maven repo so I can update
Geronimo to point to a compatible version of ActiveMQ?

Thanks,
        Aaron

java.lang.IncompatibleClassChangeError
        at
org.activemq.store.journal.JournalPersistenceAdapterGBean.doStart(JournalPersistenceAdapterGBean.java:58)